
% get list of all possible triliteral roots
load ../experiments/words allwords

% parameters for the assessor
load ../assessor/assessor_params W1 b1 b2 W2

featurelist=...
{'CONS1' 'SON1' 'CONT1' 'ACU1' 'STRI1' 'NAS1' 'LAT1' 'LAB1' 'COR1' 'ANT1' 'DOR1' 'BACK1' 'PHAR1' 'RAD1' 'VOI1' 'SPRGL1' 'CONSTGL1' ...
'CONS2' 'SON2' 'CONT2' 'ACU2' 'STRI2' 'NAS2' 'LAT2' 'LAB2' 'COR2' 'ANT2' 'DOR2' 'BACK2' 'PHAR2' 'RAD2' 'VOI2' 'SPRGL2' 'CONSTGL2' ...
	'CONS3' 'SON3' 'CONT3' 'ACU3' 'STRI3' 'NAS3' 'LAT3' 'LAB3' 'COR3' 'ANT3' 'DOR3' 'BACK3' 'PHAR3' 'RAD3' 'VOI3' 'SPRGL3' 'CONSTGL3'};

% which hidden node will be studies, choose anything 1..5
h_node=5;
% number of words on whole list
numwords=size(allwords,1);
% output of assessor applied to each word
word_values=sigmoid(W1(h_node,:)*allwords'+b1(h_node))';
% determine whether node says word is mostly favourable or mostly
% unfavourable
word_values=sign(W2(h_node))*sign(word_values);

% generate tree
T=classregtree(allwords,word_values,'method','classification','splitmin',1000,'splitcriterion','gdi','categorical',(1:3*19))
close all
% plot tree
view(T,'prunelevel',0,'names',featurelist)



