
% this code simulates Experiment 2 of F & Z

% get assessor parameters
load ../assessor/assessor_params


% read in list of words in C1 C2 C3 form
fid=fopen('set_2_words_a');
set2wordsa=fscanf(fid,'%i',[3 inf])';
fclose(fid);
fid=fopen('set_2_words_b');
set2wordsb=fscanf(fid,'%i',[3 inf])';
fclose(fid);
% read in list of average acceptibility ratings
fid=fopen('set_2_ratings');
set2ratings=fscanf(fid,'%f',[1 inf])';
fclose(fid);

% how many words in set
numwordsexpa=size(set2wordsa,1);
numwordsexpb=size(set2wordsb,1);

% find experimental words on list of all words
load words legword
exp2a_indices=zeros(numwordsexpa,1);
for j=1:numwordsexpa
  wo=set2wordsa(j,:);
  exp2a_indices(j)=find( (legword(:,1)==wo(1)) & (legword(:,2)==wo(2)) & (legword(:,3)==wo(3)) );
end
exp2b_indices=zeros(numwordsexpa,1);
for j=1:numwordsexpa
  wo=set2wordsb(j,:);
  exp2b_indices(j)=find( (legword(:,1)==wo(1)) & (legword(:,2)==wo(2)) & (legword(:,3)==wo(3)) );
end

load words allwords
y2a=applynet(allwords(exp2a_indices,:),W1,W2,b1,b2);
y2b=applynet(allwords(exp2b_indices,:),W1,W2,b1,b2);
y=[y2a; y2b];

ra=set2ratings(1:20);
rb=set2ratings(21:40);

clf

subplot(2,2,1),hist(ra),title('exp- no OCP violations')
subplot(2,2,2),hist(rb),title('exp- OCP violations')
subplot(2,2,3),hist(y2a),title('ann- no OCP violations')
subplot(2,2,4),hist(y2b),title('ann- OCP violations')

disp('Mean score for words without OCP violation (with std)')
disp([mean(y2a) std(y2a)/sqrt(length(y2a)) ])
disp('Mean score for words with OCP violation (with std)')
disp([mean(y2b) std(y2b)/sqrt(length(y2b)) ])


% analysis for real data
J=length(ra);
r=[ra; rb];
MSTr=J*( (mean(r)-mean(ra))^2 + (mean(r)-mean(rb))^2 );
S1sq=sum( (ra-mean(ra)).^2)/(J-1);
S2sq=sum( (rb-mean(rb)).^2)/(J-1);
MSE=(S1sq+S2sq)/2;
SSTr=MSTr;
SSE=2*(J-1)*MSE;
percentage_var_explained_exp=SSTr/(SSTr+SSE)

% analysis for our data


% see Devore pp 374-375
J=length(y2a);
y2=[y2a; y2b];
MSTr=J*( (mean(y2)-mean(y2a))^2 + (mean(y2)-mean(y2b))^2 )
S1sq=sum( (y2a-mean(y2a)).^2 )/(J-1);
S2sq=sum( (y2b-mean(y2b)).^2 )/(J-1);
MSE=(S1sq + S2sq )/2;

F=MSTr/MSE


% strength of signal
%meandiff=mean(y2a)-mean(y2b);
%averstd=(std(y2a)+std(y2b))/2
%ratio=meandiff/averstd

% percentage of variation explained by experiment
SSTr=MSTr;
SSE=2*(J-1)*MSE;
percentage_var_explained=SSTr/(SSTr+SSE)





